Skip to main content

Create a new job

Creates a new job with the provided details. The job will be associated with the user making the request.

Request Body — REQUIRED

Job object to create

id string
name string
description string
datasetId string — REQUIRED
executionMode string

Possible values: [batch, streaming]

schedule object
scheduleType string

Possible values: [cron, one_time, no_schedule]

scheduledOnceAlready boolean
startTime int64
repeatFrequency string
cronExpression string
status string

Possible values: [active, paused]

priority int32
config object
json string
version string
active boolean
assetCreatedDate date-time
assetUpdatedDate date-time
createdTime int64
updatedTime int64
createdBy string
updatedBy string
owner string
tags string[]
Responses
200

Job successfully created

Schema — OPTIONAL
id string — OPTIONAL
name string — OPTIONAL
description string — OPTIONAL
datasetId string
executionMode string — OPTIONAL

Possible values: [batch, streaming]

schedule object — OPTIONAL
scheduleType string — OPTIONAL

Possible values: [cron, one_time, no_schedule]

scheduledOnceAlready boolean — OPTIONAL
startTime int64 — OPTIONAL
repeatFrequency string — OPTIONAL
cronExpression string — OPTIONAL
status string — OPTIONAL

Possible values: [active, paused]

priority int32 — OPTIONAL
config object — OPTIONAL
json string — OPTIONAL
version string — OPTIONAL
active boolean — OPTIONAL
assetCreatedDate date-time — OPTIONAL
assetUpdatedDate date-time — OPTIONAL
createdTime int64 — OPTIONAL
updatedTime int64 — OPTIONAL
createdBy string — OPTIONAL
updatedBy string — OPTIONAL
owner string — OPTIONAL
tags string[] — OPTIONAL
400

Invalid request or job data

Schema — OPTIONAL
string
401

Unauthorized access.